> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get all monitors

GET https://api.getpostman.com/monitors

Gets all monitors.

Reference: https://learning.postman.com/api-docs/api-reference/monitors/get-monitors

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /monitors:
    get:
      operationId: getMonitors
      summary: Get all monitors
      description: Gets all monitors.
      tags:
        - monitors
      parameters:
        - name: workspace
          in: query
          description: Return only results found in the given workspace ID.
          required: false
          schema:
            $ref: '#/components/schemas/workspaceId'
        - name: active
          in: query
          description: If true, return only active monitors.
          required: false
          schema:
            $ref: '#/components/schemas/active'
            default: false
        - name: owner
          in: query
          description: Return only results that belong to the given user ID.
          required: false
          schema:
            $ref: '#/components/schemas/owner'
        - name: collectionUid
          in: query
          description: Filter the results by a collection's unique ID.
          required: false
          schema:
            $ref: '#/components/schemas/collectionUidQuery'
        - name: environmentUid
          in: query
          description: Filter the results by an environment's unique ID.
          required: false
          schema:
            $ref: '#/components/schemas/environmentUid'
        - name: cursor
          in: query
          description: >-
            The pointer to the first record of the set of paginated results. To
            view the next response, use the `nextCursor` value for this
            parameter.
          required: false
          schema:
            $ref: '#/components/schemas/cursor'
        - name: limit
          in: query
          description: >-
            The maximum number of rows to return in the response, up to a
            maximum value of 25. Any value greater than 25 returns a 400 Bad
            Request response.
          required: false
          schema:
            $ref: '#/components/schemas/limitDefault25'
            default: 25
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getMonitors'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMonitorsRequestBadRequestError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMonitorsRequestUnauthorizedError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMonitorsRequestForbiddenError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorNameMessage'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMonitorsRequestInternalServerError'
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    workspaceId:
      type: string
      title: workspaceId
    active:
      type: boolean
      default: false
      title: active
    owner:
      type: integer
      title: owner
    collectionUidQuery:
      type: string
      format: uid
      title: collectionUidQuery
    environmentUid:
      type: string
      format: uid
      title: environmentUid
    cursor:
      type: string
      title: cursor
    limitDefault25:
      type: integer
      default: 25
      title: limitDefault25
    GetMonitorsMonitorsItems:
      type: object
      properties:
        id:
          type: string
          description: The monitor's ID.
        name:
          type: string
          description: The monitor's name.
        active:
          type: boolean
          description: Whether the monitor is active (`true`) or inactive (`false`).
        uid:
          type: string
          format: uid
          description: The monitor's unique ID.
        owner:
          type: integer
          description: The ID of the user that created the monitor.
        collectionUid:
          type: string
          description: The unique ID of the monitor's associated collection.
        environmentUid:
          type: string
          description: The unique ID of the monitor's associated environment.
      description: Information about the monitor.
      title: GetMonitorsMonitorsItems
    GetMonitorsMeta:
      type: object
      properties:
        nextCursor:
          type:
            - string
            - 'null'
          description: >-
            The pagination cursor that points to the next record in the results
            set.
        limit:
          type: integer
          description: The maximum number of records in the paginated response.
      description: The response's meta information for paginated results.
      title: GetMonitorsMeta
    getMonitors:
      type: object
      properties:
        monitors:
          type: array
          items:
            $ref: '#/components/schemas/GetMonitorsMonitorsItems'
          description: A list of monitors.
        meta:
          $ref: '#/components/schemas/GetMonitorsMeta'
          description: The response's meta information for paginated results.
      title: getMonitors
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    CommonErrorNameMessageDetailsErrorDetails:
      oneOf:
        - type: object
          additionalProperties:
            description: Any type
        - type: array
          items:
            type: string
      description: Information about the error.
      title: CommonErrorNameMessageDetailsErrorDetails
    CommonErrorNameMessageDetailsError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
        details:
          $ref: '#/components/schemas/CommonErrorNameMessageDetailsErrorDetails'
          description: Information about the error.
      title: CommonErrorNameMessageDetailsError
    commonErrorNameMessageDetails:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageDetailsError'
      title: commonErrorNameMessageDetails
    GetMonitorsRequestBadRequestError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorNameMessage'
        - $ref: '#/components/schemas/commonErrorNameMessageDetails'
      title: GetMonitorsRequestBadRequestError
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    GetMonitorsRequestUnauthorizedError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetMonitorsRequestUnauthorizedError
    GetMonitorsRequestForbiddenError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetMonitorsRequestForbiddenError
    CommonErrorTypeTitleDetailDetail:
      oneOf:
        - type: string
        - type: object
          additionalProperties:
            description: Any type
      description: Information about the error.
      title: CommonErrorTypeTitleDetailDetail
    commonErrorTypeTitleDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailDetail'
          description: Information about the error.
      title: commonErrorTypeTitleDetail
    GetMonitorsRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetMonitorsRequestInternalServerError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples

### Successful Response



**Response**

```json
{
  "monitors": [
    {
      "id": "1e6b6cc1-c760-48e0-968f-4bfaeeae9af1",
      "name": "Test Monitor",
      "active": true,
      "uid": "12345678-1e6b6cc1-c760-48e0-968f-4bfaeeae9af1",
      "owner": 12345678,
      "collectionUid": "12345678-d35c5bfa-380e-4e98-9052-4eaf3bd0f14a",
      "environmentUid": "12345678-9ce0605e-e7cb-40dc-8074-2f6a69252905"
    },
    {
      "id": "1e6b6cb7-f13d-4000-acb7-0695757174a8",
      "name": "API Test",
      "active": true,
      "uid": "87654321-1e6b6cb7-f13d-4000-acb7-0695757174a8",
      "owner": 87654321,
      "collectionUid": "87654321-2f5e0f30-15f9-4c8a-9371-bb4402149abb",
      "environmentUid": "87654321-da11b6bf-1856-4625-ade2-46843b8eb31c"
    },
    {
      "id": "3d08e460-b58f-4f46-9dbb-018c57760864",
      "name": "Billing",
      "active": false,
      "uid": "56781234-3d08e460-b58f-4f46-9dbb-018c57760864",
      "owner": 56781234,
      "collectionUid": "56781234-b79c429b-b347-4b9c-a969-9cc3e1349f68",
      "environmentUid": "56781234-ec29504a-a305-47b2-9c73-8b0dcd6ddd61"
    },
    {
      "id": "90e01576-3ec4-4245-a327-e56b78becdce",
      "name": "Testing Monitor",
      "active": true,
      "uid": "12345678-90e01576-3ec4-4245-a327-e56b78becdce",
      "owner": 12345678,
      "collectionUid": "12345678-ecfd0f2c-cf60-4935-b2ed-b65c58d2910c",
      "environmentUid": "12345678-106dabbe-324c-488f-b628-c9f45033dcc7"
    },
    {
      "id": "5c8ff94d-ae04-4f23-812c-d428fa72bc43",
      "name": "API Test 2",
      "active": false,
      "uid": "87654321-5c8ff94d-ae04-4f23-812c-d428fa72bc43",
      "owner": 87654321,
      "collectionUid": "87654321-01c3b7c7-bf1e-47ab-8d57-0f9f950dca65",
      "environmentUid": "87654321-2ff3607d-2bdc-49a4-91af-40b0f48a0c77"
    }
  ],
  "meta": {
    "nextCursor": "",
    "limit": 25
  }
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/monitors"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/monitors';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/monitors"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/monitors")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/monitors")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/monitors', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/monitors");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/monitors")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Filter by active



**Response**

```json
{
  "monitors": [
    {
      "id": "3d08e460-b58f-4f46-9dbb-018c57760864",
      "name": "Billing",
      "active": false,
      "uid": "56781234-3d08e460-b58f-4f46-9dbb-018c57760864",
      "owner": 56781234,
      "collectionUid": "56781234-b79c429b-b347-4b9c-a969-9cc3e1349f68",
      "environmentUid": "56781234-ec29504a-a305-47b2-9c73-8b0dcd6ddd61"
    },
    {
      "id": "5c8ff94d-ae04-4f23-812c-d428fa72bc43",
      "name": "API Test 2",
      "active": false,
      "uid": "87654321-5c8ff94d-ae04-4f23-812c-d428fa72bc43",
      "owner": 87654321,
      "collectionUid": "87654321-01c3b7c7-bf1e-47ab-8d57-0f9f950dca65",
      "environmentUid": "87654321-2ff3607d-2bdc-49a4-91af-40b0f48a0c77"
    }
  ],
  "meta": {
    "nextCursor": "",
    "limit": 25
  }
}
```

**SDK Code**

```python Filter by active
import requests

url = "https://api.getpostman.com/monitors"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Filter by active
const url = 'https://api.getpostman.com/monitors';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Filter by active
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/monitors"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Filter by active
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/monitors")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Filter by active
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/monitors")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Filter by active
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/monitors', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Filter by active
using RestSharp;

var client = new RestClient("https://api.getpostman.com/monitors");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Filter by active
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/monitors")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Filter by Collection or Environment UID



**Response**

```json
{
  "monitors": [
    {
      "id": "1e6b6cc1-c760-48e0-968f-4bfaeeae9af1",
      "name": "Test Monitor",
      "active": true,
      "uid": "12345678-1e6b6cc1-c760-48e0-968f-4bfaeeae9af1",
      "owner": 12345678,
      "collectionUid": "12345678-d35c5bfa-380e-4e98-9052-4eaf3bd0f14a",
      "environmentUid": "12345678-9ce0605e-e7cb-40dc-8074-2f6a69252905"
    }
  ],
  "meta": {
    "nextCursor": "",
    "limit": 25
  }
}
```

**SDK Code**

```python Filter by Collection or Environment UID
import requests

url = "https://api.getpostman.com/monitors"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Filter by Collection or Environment UID
const url = 'https://api.getpostman.com/monitors';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Filter by Collection or Environment UID
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/monitors"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Filter by Collection or Environment UID
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/monitors")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Filter by Collection or Environment UID
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/monitors")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Filter by Collection or Environment UID
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/monitors', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Filter by Collection or Environment UID
using RestSharp;

var client = new RestClient("https://api.getpostman.com/monitors");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Filter by Collection or Environment UID
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/monitors")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Filter by owner



**Response**

```json
{
  "monitors": [
    {
      "id": "1e6b6cc1-c760-48e0-968f-4bfaeeae9af1",
      "name": "Test Monitor",
      "active": true,
      "uid": "12345678-1e6b6cc1-c760-48e0-968f-4bfaeeae9af1",
      "owner": 12345678,
      "collectionUid": "12345678-d35c5bfa-380e-4e98-9052-4eaf3bd0f14a",
      "environmentUid": "12345678-9ce0605e-e7cb-40dc-8074-2f6a69252905"
    },
    {
      "id": "90e01576-3ec4-4245-a327-e56b78becdce",
      "name": "Testing Monitor",
      "active": true,
      "uid": "12345678-90e01576-3ec4-4245-a327-e56b78becdce",
      "owner": 12345678,
      "collectionUid": "12345678-ecfd0f2c-cf60-4935-b2ed-b65c58d2910c",
      "environmentUid": "12345678-106dabbe-324c-488f-b628-c9f45033dcc7"
    }
  ],
  "meta": {
    "nextCursor": "",
    "limit": 25
  }
}
```

**SDK Code**

```python Filter by owner
import requests

url = "https://api.getpostman.com/monitors"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Filter by owner
const url = 'https://api.getpostman.com/monitors';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Filter by owner
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/monitors"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Filter by owner
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/monitors")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Filter by owner
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/monitors")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Filter by owner
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/monitors', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Filter by owner
using RestSharp;

var client = new RestClient("https://api.getpostman.com/monitors");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Filter by owner
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/monitors")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Limit with Cursor Pagination



**Response**

```json
{
  "monitors": [
    {
      "id": "1e6b6cc1-c760-48e0-968f-4bfaeeae9af1",
      "name": "Test Monitor",
      "active": true,
      "uid": "12345678-1e6b6cc1-c760-48e0-968f-4bfaeeae9af1",
      "owner": 12345678,
      "collectionUid": "12345678-d35c5bfa-380e-4e98-9052-4eaf3bd0f14a",
      "environmentUid": "12345678-9ce0605e-e7cb-40dc-8074-2f6a69252905"
    },
    {
      "id": "1e6b6cb7-f13d-4000-acb7-0695757174a8",
      "name": "API Test",
      "active": true,
      "uid": "87654321-1e6b6cb7-f13d-4000-acb7-0695757174a8",
      "owner": 87654321,
      "collectionUid": "87654321-2f5e0f30-15f9-4c8a-9371-bb4402149abb",
      "environmentUid": "87654321-da11b6bf-1856-4625-ade2-46843b8eb31c"
    },
    {
      "id": "3d08e460-b58f-4f46-9dbb-018c57760864",
      "name": "Billing",
      "active": false,
      "uid": "56781234-3d08e460-b58f-4f46-9dbb-018c57760864",
      "owner": 56781234,
      "collectionUid": "56781234-b79c429b-b347-4b9c-a969-9cc3e1349f68",
      "environmentUid": "56781234-ec29504a-a305-47b2-9c73-8b0dcd6ddd61"
    },
    {
      "id": "90e01576-3ec4-4245-a327-e56b78becdce",
      "name": "Testing Monitor",
      "active": true,
      "uid": "12345678-90e01576-3ec4-4245-a327-e56b78becdce",
      "owner": 12345678,
      "collectionUid": "12345678-ecfd0f2c-cf60-4935-b2ed-b65c58d2910c",
      "environmentUid": "12345678-106dabbe-324c-488f-b628-c9f45033dcc7"
    },
    {
      "id": "5c8ff94d-ae04-4f23-812c-d428fa72bc43",
      "name": "API Test 2",
      "active": false,
      "uid": "87654321-5c8ff94d-ae04-4f23-812c-d428fa72bc43",
      "owner": 87654321,
      "collectionUid": "87654321-01c3b7c7-bf1e-47ab-8d57-0f9f950dca65",
      "environmentUid": "87654321-2ff3607d-2bdc-49a4-91af-40b0f48a0c77"
    }
  ],
  "meta": {
    "nextCursor": "D7TopGzwFnQtrVmj8QRbSBsBKkHAq19dnoRp5XxKVfVJW4pUx74P3L9BW9qTnR8vhAbgmXA3KEBTSG8Y4BXxJDmU8vJMH76RfKF1f51DfYm2qgt14AK1oLX1mj5qcmH2buYxiPL5CmdyktVVmNqs9zsMtLD9",
    "limit": 5
  }
}
```

**SDK Code**

```python Limit with Cursor Pagination
import requests

url = "https://api.getpostman.com/monitors"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Limit with Cursor Pagination
const url = 'https://api.getpostman.com/monitors';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Limit with Cursor Pagination
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/monitors"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Limit with Cursor Pagination
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/monitors")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Limit with Cursor Pagination
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/monitors")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Limit with Cursor Pagination
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/monitors', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Limit with Cursor Pagination
using RestSharp;

var client = new RestClient("https://api.getpostman.com/monitors");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Limit with Cursor Pagination
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/monitors")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Collection or Environment Not Found



**Response**

```json
{
  "monitors": [],
  "meta": {
    "nextCursor": "",
    "limit": 25
  }
}
```

**SDK Code**

```python Collection or Environment Not Found
import requests

url = "https://api.getpostman.com/monitors"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Collection or Environment Not Found
const url = 'https://api.getpostman.com/monitors';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Collection or Environment Not Found
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/monitors"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Collection or Environment Not Found
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/monitors")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Collection or Environment Not Found
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/monitors")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Collection or Environment Not Found
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/monitors', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Collection or Environment Not Found
using RestSharp;

var client = new RestClient("https://api.getpostman.com/monitors");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Collection or Environment Not Found
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/monitors")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Owner Not Found



**Response**

```json
{
  "monitors": [],
  "meta": {
    "nextCursor": "",
    "limit": 25
  }
}
```

**SDK Code**

```python Owner Not Found
import requests

url = "https://api.getpostman.com/monitors"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Owner Not Found
const url = 'https://api.getpostman.com/monitors';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Owner Not Found
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/monitors"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Owner Not Found
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/monitors")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Owner Not Found
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/monitors")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Owner Not Found
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/monitors', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Owner Not Found
using RestSharp;

var client = new RestClient("https://api.getpostman.com/monitors");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Owner Not Found
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/monitors")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```